Subject: Re: [Bitcoin-development] 32 vs 64-bit timestamp fields

From: Peter Todd <[email-masked]>
Date: Wed, 8 May 2013 22:42:44 -0400

On Thu, May 09, 2013 at 02:33:11AM +0000, John Dillon wrote:
> On Thu, May 9, 2013 at 1:57 AM, Peter Todd <[email-masked]> wrote:
> > Remember that interpreting the timestamp on a block for the purposes of
> > timestamping is a lot more subtle than it appears at first.
> 
> I actually just meant how Pieter Wuille was talking about a blocktime accurate
> to only within 18 hours. :) But it is a nice writeup!
> 
> In any case, for many things simple relative ordering is enough rather than
> absolute time.

Ah, shoot, I just realized we both got missed Pieter's point entirely:
he means to change the meaning of the header timestamp to be relative
time passed since the last block...

Well, it was a nice writeup! Thanks for the correction re:
probabalistic; you are absolutely correct.

-- 
'peter'[:-1]@petertodd.org
00000000000000fb6d0ed7479069edef10b8bc598783e9d94bdb5cf9ae6a5f1c